OpenVDB 13.0.0

Loading...
Searching...
No Matches
MorphologyHelpers.h File Reference

This file implements helper methods used in morphology operations. More...

`#include <nanovdb/NanoVDB.h>`

Go to the source code of this file.

## Classes
struct | NearestNeighborBitMask< di, dj, dk >

## Namespaces
namespace | nanovdb
namespace | nanovdb::tools
namespace | nanovdb::tools::morphology
namespace | nanovdb::util
namespace | nanovdb::util::morphology

## Enumerations
enum | NearestNeighbors { NN_FACE = 6 , NN_FACE_EDGE = 18 , NN_FACE_EDGE_VERTEX = 26 }

## Functions
template<tools::morphology::NearestNeighbors nnType>
__hostdev__ uint32_t | neighborMaskStencil (const nanovdb::Mask< 3 > &mask)
__hostdev__ Coord::ValueType | coarsenComponent (const Coord::ValueType n)
__hostdev__ Coord | coarsenCoord (const Coord &coord)
__hostdev__ Coord::ValueType | refineComponent (const Coord::ValueType n)
__hostdev__ Coord | refineCoord (const Coord &coord)

## Detailed Description

This file implements helper methods used in morphology operations.

Author
  Efty Sifakis

Date
  March 17, 2025